Subject: Re: bug#32258: 27.0.50; Crash on minimizing/maximizing Emacs frame from taskbar [RHEL 6.8 GTK2]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jul 2018 20:59:33 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Thu, 26 Jul 2018 09:42:35 -0400
> Cc: [email-masked]
> 
> (gdb) bt
> #0  0x00000032f580f6ab in raise () from /lib64/libpthread.so.0
> #1  0x000000000059118c in terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:399
> #2  0x00000000006264e9 in die (msg=0x729930 "it->glyph_row == NULL || it->glyph_row->used[TEXT_AREA] == 0",
>     file=0x724dfd "xdisp.c", line=21236) at alloc.c:7293
> #3  0x0000000000483e19 in maybe_produce_line_number (it=0x7ffea6f395e0) at xdisp.c:21236
> #4  0x000000000048486e in display_line (it=0x7ffea6f395e0, cursor_vpos=24) at xdisp.c:21459
> #5  0x00000000004775d5 in try_window (window=..., pos=..., flags=0) at xdisp.c:17735
> #6  0x0000000000473dc8 in redisplay_window (window=..., just_this_one_p=false) at xdisp.c:16919
> #7  0x000000000046d315 in redisplay_window_0 (window=...) at xdisp.c:14939
> #8  0x0000000000649791 in internal_condition_case_1 (bfun=0x46d2d3 <redisplay_window_0>, arg=...,
> handlers=...,
>     hfun=0x46d29b <redisplay_window_error>) at eval.c:1373
> #9  0x000000000046d26d in redisplay_windows (window=...) at xdisp.c:14919
> #10 0x000000000046d223 in redisplay_windows (window=...) at xdisp.c:14913
> #11 0x000000000046bd41 in redisplay_internal () at xdisp.c:14402
> #12 0x000000000046c991 in redisplay_preserve_echo_area (from_where=8) at xdisp.c:14732
> #13 0x00000000005ab154 in detect_input_pending_run_timers (do_display=true) at keyboard.c:9916
> #14 0x00000000006b255a in wait_reading_process_output (time_limit=0, nsecs=0, read_kbd=-1,
> do_display=true,
>     wait_for_cell=..., wait_proc=0x0, just_wait_proc=0) at process.c:5521
> #15 0x000000000059d358 in kbd_buffer_get_event (kbp=0x7ffea6f3ec38,
> used_mouse_menu=0x7ffea6f3f25f, end_time=0x0)
>     at keyboard.c:3813
> #16 0x0000000000598527 in read_event_from_main_queue (end_time=0x0, local_getcjmp=0x7ffea6f3f040,
>     used_mouse_menu=0x7ffea6f3f25f) at keyboard.c:2122
> #17 0x000000000059881e in read_decoded_event_from_main_queue (end_time=0x0,
> local_getcjmp=0x7ffea6f3f040,
>     prev_event=..., used_mouse_menu=0x7ffea6f3f25f) at keyboard.c:2185
> #18 0x000000000059a525 in read_char (commandflag=1, map=..., prev_event=...,
> used_mouse_menu=0x7ffea6f3f25f,
>     end_time=0x0) at keyboard.c:2773
> #19 0x00000000005a948d in read_key_sequence (keybuf=0x7ffea6f3f3d0, prompt=...,
> dont_downcase_last=false,
>     can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9108
> #20 0x0000000000596329 in command_loop_1 () at keyboard.c:1338
> #21 0x00000000006496ba in internal_condition_case (bfun=0x595edc <command_loop_1>, handlers=...,
>     hfun=0x59555c <cmd_error>) at eval.c:1349
> #22 0x0000000000595b0f in command_loop_2 (ignore=...) at keyboard.c:1079
> #23 0x0000000000648c14 in internal_catch (tag=..., func=0x595ae6 <command_loop_2>, arg=...) at
> eval.c:1114
> #24 0x0000000000595ab1 in command_loop () at keyboard.c:1058
> #25 0x000000000059506e in recursive_edit_1 () at keyboard.c:703
> #26 0x0000000000595250 in Frecursive_edit () at keyboard.c:774
> #27 0x0000000000592ea5 in main (argc=2, argv=0x7ffea6f3f898) at emacs.c:1722
> 
> I cannot tell if it's that same assertion error. But the error seems to have happened around the same area..
> something with glyphs and displaying line numbers.

It's the same assertion violation.

> I'll leave that gdb open. Let me know what more information I can give you from that session.

Here:

  (gdb) source /path/to/emacs/src/.gdbinit
  (gdb) frame 3
  (gdb) p lnum_buf
  (gdb) p it->glyph_row->used[TEXT_AREA]
  (gdb) pgrowx it->glyph_row